/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Data transfer object (DTO) representing the manipulation of a fixed value associated with a resource.
 * @export
 * @interface FixedValueForResourceManipulationDto
 */
export interface FixedValueForResourceManipulationDto {
    /**
     * Gets or initializes the value of the fixed resource value.
     * @type {string}
     * @memberof FixedValueForResourceManipulationDto
     */
    'value'?: string | null;
    /**
     * Gets or initializes the type of the fixed resource value.
     * @type {string}
     * @memberof FixedValueForResourceManipulationDto
     */
    'type'?: string | null;
    /**
     * Gets or initializes the data type URI of the fixed resource value.
     * @type {string}
     * @memberof FixedValueForResourceManipulationDto
     */
    'datatype'?: string | null;
    /**
     * The target class of the provided value (e.g., \"https://purl.org/coscine/ap/base/\")
     * @type {string}
     * @memberof FixedValueForResourceManipulationDto
     */
    'targetClass'?: string | null;
}

